• Resolved jakovljevic984

    (@jakovljevic984)


    We have polylang plugin and when we activate Add Polylang support for Customizer
    we get the following error:

    E_ERROR line 136 /home/iskpcors/public_html/wp-content/plugins/add-polylang-support-for-customizer/includes/class-apsfc.php. Uncaught Error: Call to undefined function Richardevcom\Apsfc\pll_current_language() in /home/iskpcors/public_html/wp-content/plugins/add-polylang-support-for-customizer/includes/class-apsfc.php:136

    Stack trace:
    #0 /home/iskpcors/public_html/wp-content/plugins/add-polylang-support-for-customizer/includes/class-apsfc.php(250): Richardevcom\Apsfc\Apsfc->get_custom_customizer_option()
    #1 /home/iskpcors/public_html/wp-includes/class-wp-hook.php(305): Richardevcom\Apsfc\Apsfc->on_option_theme_mods_get(Array)
    #2 /home/iskpcors/public_html/wp-includes/plugin.php(189): WP_Hook->apply_filters(Array, Array)
    #3 /home/iskpcors/public_html/wp-includes/option.php(225): apply_filters(‘option_theme_mo…’, Array, ‘theme_mods_edum…’)
    #4 /home/iskpcors/public_html/wp-includes/theme.php(974): get_option(‘theme_mods_edum…’)
    #5 /home/iskpcors/public_html/wp-includes/theme.php(1004): get_theme_mods()
    #6 /home/iskpcors/public_html/wp-content/plugins/thim-core/inc/functions.php(536): get_theme_mod(‘thim_enable_gut…’, 0)
    #7 /ho

    PHP version 7.3.29
    WP version 5.8
    Theme Eduma Premium WordPress LMS theme version 4.4.9

    Plugins we are using:
    – Akismet Anti-Spam
    – Anywhere Elementor
    – Autoptimize
    – Conditionally display featured image on singular pages and posts
    – Contact Form 7
    – Eduma Demo Data
    – Elementor
    – FileBird Lite
    – Happy Elementor Addons
    – Ivory Search
    – Loco Translate
    – Polylang
    – Slider Revolution
    – Smush
    – TablePress
    – Thim Core
    – WP Super Cache
    – Yoast SEO

    Thanks

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author richardevcom

    (@richardevcom)

    Hi there.
    Thank you for detailed error report. I will check this out later this evening (EET) and get back to you in matter of 2 working days.

    Thread Starter jakovljevic984

    (@jakovljevic984)

    Hi @richardevcom,
    did you find some solution for my problem?

    Plugin Author richardevcom

    (@richardevcom)

    Yes. Thank you for waiting.

    I’m currently making sure it can be replicated on WordPress default themes, since this is second time having similar report – we have a feeling it could indeed be due to our plugin trying to require a duplicate standalone files from Polylang.

    After that, next step will be pushing bug fix if its a bug, or I’ll keep you updated here if it was something else.

    Sorry it’s taking so long, but this is open source solution that we work on using our free time. šŸ™‚

    • This reply was modified 1 month, 3 weeks ago by richardevcom.
    Thread Starter jakovljevic984

    (@jakovljevic984)

    No problem, thank you so much.
    I’ll be waiting.

    Plugin Author richardevcom

    (@richardevcom)

    Hi @jakovljevic984
    I had a chance to test our latest plugin against multiple versions of WordPress with Polylang and Polylang PRO, but we couldn’t produce the same error.

    However it seems like an old error we had. So we suggest, that you fully remove our plugin, clear cache and install it from Plugin Install page within your admin panel.

    Also, join https://discord.gg/sfuevNp5E3 and you could maybe stream and show how and when does it happen, so maybe we can help you out.

    For now it seems like an old issue that was fixed in older versions, so I’m closing this thread for now.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.